%define module	pytz

Summary:	World timezone definitions for Python
Name:		python-%{module}
Version:		2014.7
Release:	%mkrel 1
Source0:	http://pypi.python.org/packages/source/p/pytz/%{module}-%{version}.tar.xz
License:		MIT
Group:		Development/Python
Url:		http://pytz.sourceforge.net/
BuildRequires:	python-devel 
BuildRequires:	python3-devel
BuildArch:	noarch

%description
pytz brings the Olson tz database into Python. This library allows
accurate and cross platform timezone calculations using Python 2.3 or
higher. It also solves the issue of ambiguous times at the end of
daylight savings, which you can read more about in the Python Library
Reference (datetime.tzinfo).

Amost all (over 540) of the Olson timezones are supported.

%package -n python3-%{module}
Summary:	World timezone definitions for Python 3
Group:		Development/Python

%description  -n python3-%{module}
pytz brings the Olson tz database into Python 3. This library allows
accurate and cross platform timezone calculations using Python 2.3 or
higher. It also solves the issue of ambiguous times at the end of
daylight savings, which you can read more about in the Python Library
Reference (datetime.tzinfo).

Amost all (over 540) of the Olson timezones are supported.

%prep
%setup -q -n %{module}-%{version}
rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
rm -rf %buildroot
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot} 
popd
%{__python} setup.py install --skip-build --root=%{buildroot} 

%files
%doc *.txt
%{python_sitelib}/pytz/
%{python_sitelib}/*.egg-info

%files -n python3-%{module} 
%doc *.txt
%{python3_sitelib}/pytz/
%{python3_sitelib}/*.egg-info


%changelog
* Fri Jun 05 2015 gseaman <galen.seaman at comcast.net> 2014.7-1gseaman2015
- update
